---
# registration for Fault\_vMrf\_alarm003
# Constants: the values of domain, eventName, priority, vfstatus
# , version, alarmCondition, eventSeverity, eventSourceType,
# faultFieldsVersion, specificProblem,
# Variables (to be supplied at runtime) include: eventId, lastEpochMicrosec,

# reportingEntityId, reportingEntityName, sequence, sourceId, sourceName,
# startEpochMicrosec

event: {comment: "Event 1", presence: required, action: [ any, any, alarm001,RECO-rebuildVnf ],
        structure: {
          commonEventHeader: {presence: required, structure: {
            domain: {presence: required, value: fault},
            eventName: {presence: required, value: Fault\_vMrf\_alarm003},
            eventId: {presence: required},
            nfNamingCode: {value: mrfx},
            priority: {presence: required, value: Medium},
            reportingEntityId: {presence: required},
            reportingEntityName: {presence: required},
            sequence: {presence: required},
            sourceId: {presence: required},
            sourceName: {presence: required},
            startEpochMicrosec: {presence: required},
            lastEpochMicrosec: {presence: required},
            version: {presence: required, value: 3.0}
          }},
          faultFields: {presence: required, structure: {
            alarmAdditionalInformation: {comment: "Any comment for ev 1"},
            alarmCondition: {presence: required, value: alarm003},
            eventSeverity: {presence: required, value: MAJOR},
            eventSourceType: {presence: required, value: virtualNetworkFunction},
            faultFieldsVersion: {presence: required, value: 2.0},
            specificProblem: {presence: required, value: "Configuration file was
                        corrupt or not present"},
            vfStatus: {presence: required, value: "Requesting Termination"}
          }}
        }}
---
# registration for clearing Fault\_vMrf\_alarm003Cleared
# Constants: the values of domain, eventName, priority,
# , version, alarmCondition, eventSeverity, eventSourceType,
# faultFieldsVersion, specificProblem,
# Variables (to be supplied at runtime) include: eventId,lastEpochMicrosec,
# reportingEntityId, reportingEntityName, sequence, sourceId,
# sourceName, startEpochMicrosec, vfStatus
event: {comment: "Event 2", presence: required, action: [ any, any, alarm002, Clear ], structure: {
  commonEventHeader: {presence: required, structure: {
    domain: {presence: required, value: fault},
    eventName: {presence: required, value: Fault\_vMrf\_alarm003Cleared},
    eventId: {presence: required},
    nfNamingCode: {value: mrfx},
    priority: {presence: required, value: Medium},
    reportingEntityId: {presence: required},
    reportingEntityName: {presence: required},
    sequence: {presence: required},
    sourceId: {presence: required},
    sourceName: {presence: required},
    startEpochMicrosec: {presence: required},
    lastEpochMicrosec: {presence: required},
    version: {presence: required, value: 3.0}
  }},
  faultFields: {presence: required, structure: {
    alarmAdditionalInformation: {comment: "Some other comment for ev 2"},
    alarmCondition: {presence: required, value: alarm003},
    eventSeverity: {presence: required, value: NORMAL},
    eventSourceType: {presence: required, value: virtualNetworkFunction},
    faultFieldsVersion: {presence: required, value: 2.0},
    specificProblem: {presence: required, value: "Valid configuration file found"},
    vfStatus: {presence: required, value: "Requesting Termination"}
  }}
}}
---
# registration for Heartbeat_vMRF
# Constants: the values of domain, eventName, priority, version
# Variables (to be supplied at runtime) include: eventId, lastEpochMicrosec,
# reportingEntityId, reportingEntityName, sequence, sourceId, sourceName,
# startEpochMicrosec
event: {comment: "Event 3", presence: required, action: [ any, any, alarm003, Clear ], heartbeatAction: [3, vnfDown,RECO-rebuildVnf],
        structure: {
          commonEventHeader: {presence: required, structure: {
            domain: {presence: required, value: heartbeat},
            eventName: {presence: required, value: Heartbeat\_vMrf},
            eventId: {presence: required},
            nfNamingCode: {value: mrfx},
            priority: {presence: required, value: Normal},
            reportingEntityId: {presence: required},
            reportingEntityName: {presence: required},
            sequence: {presence: required},
            sourceId: {presence: required},
            sourceName: {presence: required},
            startEpochMicrosec: {presence: required},
            lastEpochMicrosec: {presence: required},
            version: {presence: required, value: 3.0}
          }},
          heartbeatFields: {presence: optional, structure:{
            heartbeatFieldsVersion: {presence: required, value: 1.0},
            heartbeatInterval: {presence: required, range: [ 15, 300 ], default: 60 }
          }}
        }}
